Subject: Re: MySQL server under cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: "Terry Flannery" <[email-masked]>
Date: Sat, 27 Jul 2002 13:17:13 +0200

Hallo Terry,

>> Is it possible to build and run mysql under cygwin?

> I have a patch and a script online:
> http://koeln.convey.de/cywgin/mysql/

After trying a new build with 3.23.51 I see that there are some
problems with gcc-3, so I choosed to use the latest gcc-2 now.
My script now:
#!/usr/bin/sh

set -e
set -x

tar zxvf ./mysql-3.23.51.tar.gz
cd mysql-3.23.51
patch -p0 < ../mysql.patch
CFLAGS="-O3" \
 CC=gcc-2 \
 CXX=gcc-2 \
 CXXFLAGS="-O3 -mpentiumpro -felide-constructors -fno-exceptions -fno-rtti" \
 ./configure \
 --prefix=/usr \
 --with-mysqld-ldflags=-all-static \
 --with-mysqld-user=mysql \
 --with-berkeley-db \
 --with-innodb \
 --localstatedir=/var/mysql/data \
 2>&1 | tee ../log.configure

make 2>&1 | tee ../log.make
rm -rf /usr/sql-bench
make install 2>&1 | tee ../log.install
rm -rf /var/mysql/data
mkdir -p /var/mysql/data
make init-db 2>&1 | tee ../log.init

# start the server later manually
# cd /usr ; /usr/bin/safe_mysqld &

# do the tests (requires perl-module DBD::mysql)
# cd sql-bench
# ./run-all-tests

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/